REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single MarketPlaceApplication record by its Id.
{ "DeveloperId": 123, "Name": "<string>", "TermsAndConditions": "<string>", "SupportEmail": "<string>", "DeveloperName": "<string>", "Published": true, "SecretKey": "<string>", "ShortDescription": "<string>", "Description": "<string>", "NotificationEmail": "<string>", "NotificationUrl": "<string>", "LogoFileName": "<string>", "NewLogoUrl": "<string>", "ClearLogoFile": true, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
MarketPlaceApplication-Read
curl -X GET \ "https://spaces.nexudus.com/api/apps/marketplaceapplications/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "DeveloperId": 0, "Name": "", "TermsAndConditions": null, "SupportEmail": "", "DeveloperName": "", "Published": false, "SecretKey": null, "ShortDescription": "", "Description": null, "NotificationEmail": "", "NotificationUrl": "", "LogoFileName": null, "NewLogoUrl": null, "ClearLogoFile": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "MarketPlaceApplication Example", "LocalizationDetails": null, "CustomFields": null }